KFileMimeTypeInfo::GroupInfo class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFileMimeTypeInfo::GroupInfo Class Reference

This is the class for one group of items of a KFileMimeTypeInfo. More...

`#include <kfilemetainfo.h>`

Collaboration diagram for KFileMimeTypeInfo::GroupInfo:

[legend]
List of all members.

## Public Member Functions
QStringList | supportedKeys () const
| Use this method to get a list of keys in the specified group that the plugin knows about.
const QString & | name () const
| Use this method to get the name of the group.
const QString & | translatedName () const
| Use this method to get the string to display to the user as group name.
const ItemInfo * | itemInfo (const QString &key) const
| A group object can contain sevaral item objects (of which you can get the names with supportedKeys() .
uint | attributes () const
| Get the attributes of this group (see Attributes).
bool | supportsVariableKeys () const
const ItemInfo * | variableItemInfo () const
| If the group supports variable keys, you can query their item info with this method.
## Friends
class | KFilePlugin
class | KFileMimeTypeInfo

## Detailed Description

This is the class for one group of items of a KFileMimeTypeInfo.

It contains, among other things, the information about the group's name and a list of supported items.

Definition at line 163 of file kfilemetainfo.h.

## Member Function Documentation

QStringList KFileMimeTypeInfo::GroupInfo::supportedKeys | ( |  | ) | const`[inline]`

| Use this method to get a list of keys in the specified group that the plugin knows about. No variable keys. For a group that doesn't support variable keys, all keys that this group may have are returned. For a group that does support them, the non-variable ones are returned. See KFileMetaInfo about variable keys Returns: the list of keys supported for this mimetype Definition at line 179 of file kfilemetainfo.h. Referenced by KFileMetaInfo::addGroup().

const QString& KFileMimeTypeInfo::GroupInfo::name | ( |  | ) | const`[inline]`

| Use this method to get the name of the group. This string doesn't depend on the user's locale settings Returns: the group name Definition at line 190 of file kfilemetainfo.h.

const QString& KFileMimeTypeInfo::GroupInfo::translatedName | ( |  | ) | const`[inline]`

| Use this method to get the string to display to the user as group name. This may be different to name() and it returns the name in the user's language Returns: the translated group name Definition at line 202 of file kfilemetainfo.h.

const KFileMimeTypeInfo::ItemInfo * KFileMimeTypeInfo::GroupInfo::itemInfo | ( | const QString & | key | ) | const

| A group object can contain sevaral item objects (of which you can get the names with supportedKeys() . With this method, you can get one of those item objects. See ItemInfo Returns: a pointer to the item info. Don't delete this object! Definition at line 1403 of file kfilemetainfo.cpp. References QDict< ItemInfo >::find(), and KStdAccel::key(). Referenced by KFileMetaInfo::addGroup(), and KFileMetaInfoGroup::addItem().

uint KFileMimeTypeInfo::GroupInfo::attributes | ( |  | ) | const`[inline]`

| Get the attributes of this group (see Attributes). Returns: the attributes Definition at line 221 of file kfilemetainfo.h. Referenced by KFileMetaInfo::editableGroups().

bool KFileMimeTypeInfo::GroupInfo::supportsVariableKeys | ( |  | ) | const`[inline]`

| Returns: true if this group supports adding or removing arbitrary keys, false if not. Definition at line 230 of file kfilemetainfo.h.

const ItemInfo* KFileMimeTypeInfo::GroupInfo::variableItemInfo | ( |  | ) | const`[inline]`

| If the group supports variable keys, you can query their item info with this method. The main reason for this is that you can get the type and attributes of variable keys. Returns: a pointer to the item info. Don't delete this object! Definition at line 242 of file kfilemetainfo.h. Referenced by KFileMetaInfoGroup::addItem().

The documentation for this class was generated from the following files:

- kfilemetainfo.h
- kfilemetainfo.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:17:58 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001